Installation

Requirements

nanohttp supports python versions greater than 3.6.x and no have any external requirements, everything is defined in setup.py and will be installed automatically through the python packaging tool.

PyPI

$ pip install nanohttp

From Source

$ cd path/to/nanohttp
$ pip install -e .

If you want to be a contributor or run nanohttp tests, should to install through:

pip install -r requirements-dev.txt

Note

Also you can find CI configuration on repository to more environment details.